Skip to main content
`Ctrl`+`K`

# numpy.nextafter

numpy.nextafter(x1, x2, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'nextafter'>

  Return the next floating-point value after x1 towards x2, element-wise.

  Parameters:
    x1 array_like

      Values to find the next representable value of.

    x2 array_like

      The direction where to look for the next representable value of x1. If `x1.shape != x2.shape`, they must be broadcastable to a common shape (which becomes the shape of the output).

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    out ndarray or scalar

      The next representable values of x1 in the direction of x2. This is a scalar if both x1 and x2 are scalars.

  Examples

      >>> import numpy as np
      >>> eps = np.finfo(np.float64).eps
      >>> np.nextafter(1, 2) == eps + 1
      True
      >>> np.nextafter([1, 2], [2, 1]) == [eps + 1, 2 - eps]
      array([ True,  True])